Subject: Filter mult exececute line

From: [email-masked] (Glenn Saunders)
Date: 10 May 1995 09:15:31 GMT

I can't seem to get filter to execute multiple commands.

if bla bla bla then execute " (cli command) "

That's the syntax basically, so if I do this, it executes both commands:

execute "echo test1 > test.txt;echo test2 >> test.txt"

but if I do this it only executes the first half:

execute "cat - > reply.txt;reply"

(in this case, - means it sends the body of the message, and reply is a 
cli script file)

The reason this is important is I'm trying to build a pseudo-mailing 
list, and when you post, it will save the post to a file, then run a 
script that emails that text file to everyone on the list.  I can't just 
run a script because I can't reference the body of the incoming message 
from within the script, only from within the execute quotes (well I'll 
give it a shot but I doubt it'll work).

Any solutions?